/* Type range: basic options */

input[type=range] {
    -webkit-appearance: none;
    margin: 8px !important;
    padding: 1em 0 !important;
    background-color: transparent !important;
  }
  input[type=range]:focus {
    outline: none !important;
    border-color: transparent !important;
  }
  
  /* Type range: webkit normal */
  
  input[type=range]::-webkit-slider-runnable-track {
    width: 100%;
    height: 1px;
    cursor: pointer;
    box-shadow: none;
    background: #e6e6e6;
    border-radius: 25px;
    border: none;
  }
  input[type=range]::-webkit-slider-thumb {
    box-shadow: none;
    border: 0px solid #000000;
    height: 12px;
    width: 12px;
    border-radius: 50%;
    background: #83d8ff;
    cursor: pointer;
    -webkit-appearance: none;
    margin-top: -5px;
  }
  
  /* Type range: mozilla */
  
  input[type=range]::-moz-range-track {
    width: 100%;
    height: 1px;
    cursor: pointer;
    box-shadow: none;
    background: #e6e6e6;
    border-radius: 25px;
    border: none;
  }
  input[type=range]::-moz-range-thumb {
    box-shadow: none;
    border: 0px solid #000000;
    height: 12px;
    width: 12px;
    border-radius: 50%;
    background: #83d8ff;
    cursor: pointer;
    -webkit-appearance: none;
    margin-top: -5px;
  }
  
  
  /* Type range: ms ? */
  
  input[type=range]::-ms-track {
    width: 100%;
    height: 1px;
    cursor: pointer;
    box-shadow: none;
    background: #e6e6e6;
    border-radius: 25px;
    border: none;
  }
  input[type=range]::-ms-fill-lower {
    background: #e6e6e6;
    border: none;
    border-radius: 50px;
    box-shadow: none;
  }
  input[type=range]::-ms-fill-upper {
    background: #e6e6e6;
    border: none;
    border-radius: 50px;
    box-shadow: none;
  }
  input[type=range]::-ms-thumb {
    box-shadow: none;
    border: 0px solid #000000;
    height: 12px;
    width: 12px;
    border-radius: 50%;
    background: #83d8ff;
    cursor: pointer;
    -webkit-appearance: none;
    margin-top: -5px;
  }